Subject: bug#63563: 29.0.91; package.el should not install unselected packages

From: Jimmy Yuen Ho Wong <[email-masked]>
Date: Mon, 29 May 2023 01:51:11 +0100

Is this new behavior no one asked for configurable? Over the many years
I've been using package.el, I've built in muscle memory. After M-x
list-packages, when the packages buffer is done refreshing, I immediately
press U and x without looking. With the new behavior, when there's
no upgrades, I'd be installing the first package at point. Doing that a
couple of times will mean I'll have a couple of extra packages I don't want
installed.

Jimmy

On Thu, May 18, 2023 at 8:53 PM Philip Kaludercic <[email-masked]>
wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> > tags 63563 notabug
> > thanks
> >
> >> From: Jimmy Yuen Ho Wong <[email-masked]>
> >> Date: Thu, 18 May 2023 03:10:23 +0100
> >>
> >> 1. M-x list-packages
> >> 2. Press x on a line
> >> 3. Observer in the echo area package.el is now asking the user to
> >> whether to install the package.
> >>
> >> Expectation:
> >>
> >> If the user has not pressed i to select the package for installation,
> >> package.el should not ask the user to confirm anything. There's no
> >> action to execute. This is unexpected dwim behavior.
> >
> >>From the Emacs manual:
> >
> >   ‘x’
> >        Download and install all packages marked with ‘i’, and their
> >        dependencies; also, delete all packages marked with ‘d’
> >        (‘package-menu-execute’).  This also removes the marks.  If no
> >        packages are marked, this command will install the package under
> >        point (if it isn’t installed already), or delete the package under
> >        point (if it’s already installed).
> >
> > The doc string says similar stuff:
> >
> >   If no packages are marked, the action taken depends on the state
> >   of the package under point.  If it’s not already installed, this
> >   command will install the package, and if it’s installed, it will
> >   delete the package.
> >
> > So this is documented behavior.  This is not a bug, but a feature.
>
> That being said, I am not a fan of this DWIM-ish behaviour either.
>